Skip to main content

Get Player Sessions By Uuid

GET 

/session/v1/player/uuid/:player_uuid/session

deprecated

Get all session IDs associated with a player. NOTE This list is eventually consistent with the data from the session by ID endpoints.

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read-player:any

  • For the player themselves : session:read-player:self

Required Session Permissions: None DEPRECATED - Use /v1/player/{player_uuid}/session endpoint instead

Request

Path Parameters

    player_uuid uuidrequired

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be returned - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    sessions

    object

    Session associated with this player, and any pending invites

    property name*

    PlayerSession

    Information about the sessions of a specific type that a player is currently a member of, or invited to

    type Type (string)required

    template type

    session_ids string[]

    Possible values: non-empty and <= 128 characters

    Default value: ``

    Sessions the player is currently a part of for this session type, if any.

    pending_invites

    object

    Pending invites, if any, for the current player in this session type

    property name*

    PlayerSessionInvite

    Information about an invite to a session that a player received

    session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    Session ID for the invite

    inviting_player_uuid uuid

    Player who sent the invite

    reserved_sessions string[]

    Possible values: non-empty and <= 128 characters

    Default value: ``

    Sessions that the player has a reserved place in, but has not yet been invited

    last_updated_timestamp date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

Loading...